Package org.jbpm.services.task.utils

## Class CollectionUtils

- java.lang.Object
- - org.jbpm.services.task.utils.CollectionUtils

-     public class CollectionUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollectionUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `equals​(List list1, List list2)` |
    `static int` | `hashCode​(List list)` |
    `static List<org.kie.api.task.model.Attachment>` | `readAttachmentList​(ObjectInput in)` |
    `static List<org.kie.internal.task.api.model.BooleanExpression>` | `readBooleanExpressionList​(ObjectInput in)` |
    `static List<org.kie.api.task.model.Comment>` | `readCommentList​(ObjectInput in)` |
    `static List<org.kie.internal.task.api.model.Deadline>` | `readDeadlinesList​(ObjectInput in)` |
    `static List<org.kie.internal.task.api.model.Escalation>` | `readEscalationList​(ObjectInput in)` |
    `static List<org.kie.api.task.model.I18NText>` | `readI18NTextList​(ObjectInput in)` |
    `static List<org.kie.internal.task.api.model.Notification>` | `readNotificationList​(ObjectInput in)` |
    `static List<org.kie.api.task.model.OrganizationalEntity>` | `readOrganizationalEntityList​(ObjectInput in)` |
    `static List<org.kie.internal.task.api.model.Reassignment>` | `readReassignmentList​(ObjectInput in)` |
    `static void` | `writeAttachmentList​(List<org.kie.api.task.model.Attachment> list, ObjectOutput out)` |
    `static void` | `writeBooleanExpressionList​(List<org.kie.internal.task.api.model.BooleanExpression> list, ObjectOutput out)` |
    `static void` | `writeCommentList​(List<org.kie.api.task.model.Comment> list, ObjectOutput out)` |
    `static void` | `writeDeadlineList​(List<org.kie.internal.task.api.model.Deadline> list, ObjectOutput out)` |
    `static void` | `writeEscalationList​(List<org.kie.internal.task.api.model.Escalation> list, ObjectOutput out)` |
    `static void` | `writeI18NTextList​(List<org.kie.api.task.model.I18NText> list, ObjectOutput out)` |
    `static void` | `writeNotificationList​(List<org.kie.internal.task.api.model.Notification> list, ObjectOutput out)` |
    `static void` | `writeOrganizationalEntityList​(List<org.kie.api.task.model.OrganizationalEntity> list, ObjectOutput out)` |
    `static void` | `writeReassignmentList​(List<org.kie.internal.task.api.model.Reassignment> list, ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionUtils

          public CollectionUtils()

  - ### Method Detail

    - #### equals

          public static boolean equals​(List list1,
                                       List list2)

    - #### hashCode

          public static int hashCode​(List list)

    - #### writeCommentList

          public static void writeCommentList​(List<org.kie.api.task.model.Comment> list,
                                              ObjectOutput out)
                                       throws IOException

      Throws:
        `IOException`

    - #### readCommentList

          public static List<org.kie.api.task.model.Comment> readCommentList​(ObjectInput in)
                                                                      throws IOException,
                                                                             ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeAttachmentList

          public static void writeAttachmentList​(List<org.kie.api.task.model.Attachment> list,
                                                 ObjectOutput out)
                                          throws IOException

      Throws:
        `IOException`

    - #### readAttachmentList

          public static List<org.kie.api.task.model.Attachment> readAttachmentList​(ObjectInput in)
                                                                            throws IOException,
                                                                                   ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeBooleanExpressionList

          public static void writeBooleanExpressionList​(List<org.kie.internal.task.api.model.BooleanExpression> list,
                                                        ObjectOutput out)
                                                 throws IOException

      Throws:
        `IOException`

    - #### readBooleanExpressionList

          public static List<org.kie.internal.task.api.model.BooleanExpression> readBooleanExpressionList​(ObjectInput in)
                                                                                                   throws IOException,
                                                                                                          ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeNotificationList

          public static void writeNotificationList​(List<org.kie.internal.task.api.model.Notification> list,
                                                   ObjectOutput out)
                                            throws IOException

      Throws:
        `IOException`

    - #### readNotificationList

          public static List<org.kie.internal.task.api.model.Notification> readNotificationList​(ObjectInput in)
                                                                                         throws IOException,
                                                                                                ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeReassignmentList

          public static void writeReassignmentList​(List<org.kie.internal.task.api.model.Reassignment> list,
                                                   ObjectOutput out)
                                            throws IOException

      Throws:
        `IOException`

    - #### readReassignmentList

          public static List<org.kie.internal.task.api.model.Reassignment> readReassignmentList​(ObjectInput in)
                                                                                         throws IOException,
                                                                                                ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeDeadlineList

          public static void writeDeadlineList​(List<org.kie.internal.task.api.model.Deadline> list,
                                               ObjectOutput out)
                                        throws IOException

      Throws:
        `IOException`

    - #### readDeadlinesList

          public static List<org.kie.internal.task.api.model.Deadline> readDeadlinesList​(ObjectInput in)
                                                                                  throws IOException,
                                                                                         ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeEscalationList

          public static void writeEscalationList​(List<org.kie.internal.task.api.model.Escalation> list,
                                                 ObjectOutput out)
                                          throws IOException

      Throws:
        `IOException`

    - #### readEscalationList

          public static List<org.kie.internal.task.api.model.Escalation> readEscalationList​(ObjectInput in)
                                                                                     throws IOException,
                                                                                            ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeI18NTextList

          public static void writeI18NTextList​(List<org.kie.api.task.model.I18NText> list,
                                               ObjectOutput out)
                                        throws IOException

      Throws:
        `IOException`

    - #### readI18NTextList

          public static List<org.kie.api.task.model.I18NText> readI18NTextList​(ObjectInput in)
                                                                        throws IOException,
                                                                               ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeOrganizationalEntityList

          public static void writeOrganizationalEntityList​(List<org.kie.api.task.model.OrganizationalEntity> list,
                                                           ObjectOutput out)
                                                    throws IOException

      Throws:
        `IOException`

    - #### readOrganizationalEntityList

          public static List<org.kie.api.task.model.OrganizationalEntity> readOrganizationalEntityList​(ObjectInput in)
                                                                                                throws IOException,
                                                                                                       ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`